<?php
require('fpdf/fpdf.php');

class PDF extends FPDF

{
// Cabecera de página
function Header()
{
    $this->Image('imagenes/escudo.jpg',20,10,15,20);
    $this->SetFont('Arial','B',11);
    include("../php/conexion-infogeneral.php");
    $idi=$_GET['idi'];
    $DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
	if(mysql_num_rows($DatosInstitucion)>0) {
		$registro=mysql_fetch_array($DatosInstitucion);
		$institucion=$registro["nombreie"];
		$departamento=$registro["departamentoie"];
		$municipio=$registro["municipioie"];
		$dane=$registro["daneie"];
		$nit=$registro["nitie"];
		$resolucion=$registro["resolucionie"];
		$rector=$registro["rectorie"];
	}
    $this->Cell(200,0,$institucion,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','B',10);
    $this->Cell(200,0,$municipio." - ".$departamento,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','',7);
    $this->Cell(200,0,"DANE: ".$dane."  -  NIT: ".$nit."  -  RESOLUCION: ".$resolucion,0,0,'C');
    $this->Ln(10);
}

// Pie de página
function Footer()
{
    include("../php/conexion-infogeneral.php");
    $idi=$_GET['idi'];
    $DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
	if(mysql_num_rows($DatosInstitucion)>0) {
		$registro=mysql_fetch_array($DatosInstitucion);
		$nemo=$registro["nemoie"];
		$direccion=$registro["direccionie"];
		$telefono=$registro["telefonoie"];
		$tiporeporte=$registro["tiporeporte"];
	}
    // Posición: a 1 cm del final
    $this->SetY(-10);
    // Helvetica italic 8
    $this->SetFont('Helvetica','I',8);
    // Número de página
    $this->Cell(0,10,$nemo.' - '.$direccion.'  -  Tel: '.$telefono,0,0,'L');
    $this->Cell(0,10,'www.sised.com.co  -  '.date("d/M/Y"),0,0,'R');
}
}

// Creación del objeto de la clase heredada

$bdie= $_GET['bdie'];
$idi= $_GET['idi'];
$danesede=$_GET['danesede'];
$periodo= $_GET['periodo'];
include("../php/conexion-infogeneral.php");
$DatosInstitucion = mysql_query("Select alectivo From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
if(mysql_num_rows($DatosInstitucion)>0) {
	$registro=mysql_fetch_array($DatosInstitucion);
	$lectivo=$registro["alectivo"];
}
$pdf = new PDF('P','mm','letter');
$pdf->SetMargins(15, 10, 5); // Margen izquierdo de 15, Superior 10 y se maneja un ancho de 195 para el contenido, Margen derecho de 5

$regsedes=mysql_query("Select danesede,nombresede From datos_sedes Where idinstitucion='$idi'",$db_infogeneral);
while ($FilaSedes=mysql_fetch_array($regsedes)){
	$pdf->AddPage();
	$pdf->SetFont('Arial','B',12);$pdf->Cell(195,5,'ESTUDIANTES MATRICULADOS POR SEDE',0,1,'C');$pdf->Ln(5);
	$pdf->SetFont('Arial','B',10);$pdf->Cell(195,5,$FilaSedes["nombresede"],1,1,'C');
	$pdf->Ln(5);$pdf->SetFont('Arial','B',8);
	$pdf->Cell(15,5,'CODIGO',1,0,'C');$pdf->Cell(60,5,'GRADO',1,0,'C');$pdf->Cell(20,5,'CURSO',1,0,'C');$pdf->Cell(30,5,'HOMBRES',1,0,'C');$pdf->Cell(30,5,'MUJERES',1,0,'C');$pdf->Cell(40,5,'TOTAL',1,1,'C');
	$totalmatriculados=0;$totalhom=0;$totalmuj=0;
	$danesede=$FilaSedes["danesede"];
	include("../php/conexion-bdie.php");
	$reggrados=mysql_query("Select idgrado,grado From datos_grados Where danesede='$danesede' And estado='1'",$db_basededatosie);
	while ($FilaGrados=mysql_fetch_array($reggrados)){
		$idgrado=$FilaGrados["idgrado"];$grado=$FilaGrados["grado"];
		include("../php/conexion-bdie.php");
		$reggrupos=mysql_query("Select idgrupo From datos_grupos Where idgrado='$idgrado' And estado='1'",$db_basededatosie);
		while ($FilaGrupos=mysql_fetch_array($reggrupos)){
			$contador=0;$hom=0;$muj=0;$idgrupo=$FilaGrupos["idgrupo"];
			include("../php/conexion-bdie.php");
			$regmatriculados=mysql_query("Select nuid From datos_matriculas Where idgrupo='$idgrupo' And estado='1'",$db_basededatosie);
			while ($FilaMatriculado=mysql_fetch_array($regmatriculados)){
				$nuid=$FilaMatriculado["nuid"];
				$regestudiantes=mysql_query("Select genero From datos_estudiantes Where nuid='$nuid'",$db_basededatosie);
				if(mysql_num_rows($regestudiantes)>0){
					$FilaEstudiante=mysql_fetch_array($regestudiantes);
					if ($FilaEstudiante["genero"]=="M")
						$hom=$hom+1;
					else
						$muj=$muj+1;
					$contador=$contador+1;
				}
			}
			if ($contador) {
				$pdf->SetFont('Arial','',7);			
				$pdf->Cell(15,4,$i+1,1,0,'C');
				$pdf->Cell(60,4,$grado,1,0,'L');
				$pdf->Cell(20,4,substr($idgrupo,17,1),1,0,'C');
				$pdf->Cell(30,4,$hom,1,0,'C');
				$pdf->Cell(30,4,$muj,1,0,'C');
				$pdf->Cell(40,4,$contador,1,1,'C');
				$totalhom=$totalhom+$hom;
				$totalmuj=$totalmuj+$muj;
				$totalmatriculados=$totalmatriculados+$contador;
			}
		}
	}
	$pdf->Cell(95,4,'TOTAL MATRICULADOS.....',1,0,'C');
	$pdf->Cell(30,4,$totalhom,1,0,'C');
	$pdf->Cell(30,4,$totalmuj,1,0,'C');
	$pdf->Cell(40,4,$totalmatriculados,1,0,'C');
}

$pdf->Output();
?>